Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.method.annotation
Class ServletCookieValueMethodArgumentResolver

    java.lang.Object
      org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
          org.springframework.web.method.annotation.AbstractCookieValueMethodArgumentResolver
              org.springframework.web.servlet.mvc.method.annotation.ServletCookieValueMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class ServletCookieValueMethodArgumentResolver

extends AbstractCookieValueMethodArgumentResolver

An `AbstractCookieValueMethodArgumentResolver` that resolves cookie values from an `HttpServletRequest`.

Since:
  3.1
Author:
  Rossen Stoyanchev

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
`AbstractNamedValueMethodArgumentResolver.NamedValueInfo`

Constructor Summary
`ServletCookieValueMethodArgumentResolver(ConfigurableBeanFactory beanFactory)`

Method Summary
`protected java.lang.Object` | `resolveName(java.lang.String cookieName, MethodParameter parameter, NativeWebRequest webRequest)` Resolves the given parameter type and value name into an argument value.
`void` | `setUrlPathHelper(UrlPathHelper urlPathHelper)`

Methods inherited from class org.springframework.web.method.annotation.AbstractCookieValueMethodArgumentResolver
`createNamedValueInfo, handleMissingValue, supportsParameter`

Methods inherited from class org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver
`handleResolvedValue, resolveArgument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletCookieValueMethodArgumentResolver

    public ServletCookieValueMethodArgumentResolver(ConfigurableBeanFactory beanFactory)

Method Detail

### setUrlPathHelper

    public void setUrlPathHelper(UrlPathHelper urlPathHelper)

### resolveName

    protected java.lang.Object resolveName(java.lang.String cookieName,
                                           MethodParameter parameter,
                                           NativeWebRequest webRequest)
                                    throws java.lang.Exception

  Description copied from class: `AbstractNamedValueMethodArgumentResolver`
  Resolves the given parameter type and value name into an argument value.

  Specified by:
    `resolveName` in class `AbstractNamedValueMethodArgumentResolver`
  Parameters:
    `cookieName` - the name of the value being resolved
    `parameter` - the method parameter to resolve to an argument value
    `webRequest` - the current request
  Returns:
    the resolved argument. May be `null`
  Throws:
    `java.lang.Exception` - in case of errors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD